اطلاعیه

کاربر گرامی

به انجمن برنامه نویسی AnswerCenter.ir خوش آمدید

 برای استفاده از تمامی امکانات سایت لطفا در انجمن عضو شوید


10 ارسال در این موضوع قرار دارد

درود خدمت دوستان عزیز 
جدیدا با مشکل عجیبی برخوردم وقتی پروژه رو ایمپورت میکنم ارور میده ! و ارورش رو تا الان نتونستم حل کنم !

ارور Error:(1, 0) Plugin with id 'com.android.application' not found.
 

apply plugin: 'com.android.application'

android {
    compileSdkVersion 26
    buildToolsVersion "26.0.0"
    defaultConfig {
        applicationId "codenvato.grocery"
        minSdkVersion 15
        targetSdkVersion 26
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}
dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })

    compile 'com.android.support:appcompat-v7:26.+'
    compile 'com.android.support.constraint:constraint-layout:1.0.0-beta4'
    compile 'com.android.support:design:26.+'
    compile 'com.android.volley:volley:1.0.0'
    compile 'com.google.code.gson:gson:2.8.0'
    compile 'com.squareup.picasso:picasso:2.3.2'
    compile 'com.nineoldandroids:library:2.4.0'
    compile 'com.daimajia.slider:library:1.1.5@aar'
    compile 'com.github.bumptech.glide:glide:3.7.0'
    compile 'de.hdodenhof:circleimageview:2.1.0'
    compile 'com.squareup.okhttp3:okhttp:3.8.1'
    compile "com.daimajia.swipelayout:library:1.2.0@aar"
    compile 'uk.co.chrisjenx:calligraphy:2.1.0'
    testCompile 'junit:junit:4.12'
}
// ADD THIS AT THE BOTTOM
apply plugin: 'com.google.gms.google-services'

اینم کد Gradle.Bulid به هیچ وجه سینک نمیشه و ارور میده 

ممنون میشم به دادم برسید♥

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

بار قبل که با این ارور مواجه شده بودم یه سورس رو داشتم ران میکردم

build.gradle توی پوشه ی خود پروژه (نه اونی که دپندنسی هارو اضافه میکنی) نبود

ببینید هست یا نه :fekr:

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام،

لطفا محتویات فایل build.gradle مربوط به پروژه تون رو اینجا قرار بدید که بتونیم ببینیم. اینی که گذاشتید برای ماژول app هستش.

نسخه اندروید استودیو رو هم ذکر کنید.

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در 12 ساعت قبل، Gray Mind گفته است :

بار قبل که با این ارور مواجه شده بودم یه سورس رو داشتم ران میکردم

build.gradle توی پوشه ی خود پروژه (نه اونی که دپندنسی هارو اضافه میکنی) نبود

ببینید هست یا نه :fekr:

سلام بله هست

ndb1_11.png

در 12 ساعت قبل، مهران محمودی گفته است :

سلام،

لطفا محتویات فایل build.gradle مربوط به پروژه تون رو اینجا قرار بدید که بتونیم ببینیم. اینی که گذاشتید برای ماژول app هستش.

نسخه اندروید استودیو رو هم ذکر کنید.

درود بر شما محتویات فایل bulid.gradle در بالا هست

اخرین نسخه ای که سایت داده بیرون رو دانلود کردم ! اونی که نوشته No installer 
 

ویرایش شده در توسط Hamidreza233
اشتباه تایپی

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام، منظور بنده فایل build.gradle ای بود که در تصویر زیر مشخص کردم.

اونی که شما دادید فایل پایینیشه... عرض کردم اونی که مربوط به پروژتون میشه نه اونی که برای ماژول app هستش.

ViewMode رو بذارید روی Android و محتویات اون فایل رو اینجا قرار بدید (البته اگه مشخصات signKey داخلش هست حذف کنید)

gradlebuild.png.7888bf75fe59cf1b046ebc2e50df10e1.png

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در 10 ساعت قبل، مهران محمودی گفته است :

سلام، منظور بنده فایل build.gradle ای بود که در تصویر زیر مشخص کردم.

اونی که شما دادید فایل پایینیشه... عرض کردم اونی که مربوط به پروژتون میشه نه اونی که برای ماژول app هستش.

ViewMode رو بذارید روی Android و محتویات اون فایل رو اینجا قرار بدید (البته اگه مشخصات signKey داخلش هست حذف کنید)

gradlebuild.png.7888bf75fe59cf1b046ebc2e50df10e1.png

سلام  عزیز دقیق در این فایل هیچی نیست ! 

/* Top-level build file where you can add configuration options common to all sub-projects/modules. */

فقط همین نوشته :fekr:

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در 14 دقیقه قبل، Hamidreza233 گفته است :

سلام  عزیز دقیق در این فایل هیچی نیست ! 


/* Top-level build file where you can add configuration options common to all sub-projects/modules. */

فقط همین نوشته :fekr:

دقیقا مشکل همینه که هیچی توش نیست

این کدارو بذار توش

// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.3.2'
    }
}

allprojects {
    repositories {
        jcenter()
        maven {
            url 'https://maven.google.com'
        }
    }
}

 

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در 5 دقیقه قبل، Gray Mind گفته است :

دقیقا مشکل همینه که هیچی توش نیست

این کدارو بذار توش


// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.3.2'
    }
}

allprojects {
    repositories {
        jcenter()
        maven {
            url 'https://maven.google.com'
        }
    }
}

 

درود بر شما اینارو گذاشتم توش ولی یه خط کد رو ارور داد ارور رو پاک کردم بعدش گفت باید sdk 26 دانلود شه دانلود کردم و نصب شد الانم زدم سینک کنه و هنوز جوابی نداده !:3d-smileys022:

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در در 1396/10/12, 13:53:03، Hamidreza233 گفته است :

compileSdkVersion 26

اون در خواست دانلود sdk 26 بخاطر این خط در فایل build.gradle هستش که خودتون دارید. اگه نمیخواید دانلود کنید، نسخه ای رو قرار بدید که sdk داشته باشیدش.

محتویات اون فایل رو باید به درستی بنویسید. معمولا خود اندروید استودیو به طور درست اون رو پر میکنه، ولی بخاطر import کردن احتمالا اینکار رو به هردلیلی نمیکنه!

در 20 دقیقه قبل، Hamidreza233 گفته است :

classpath 'com.android.tools.build:gradle:2.3.2'

نسخه gradle رو با توجه به نسخه android studio تنظیم کنید. در نظر داشته باشید که اگه این رو تغییر دادید، باید محتویات فایل gradle-wrapper.properties رو هم درست کنید و مقدار زیر رو به درستی تنظیم کنید. به عنوان مثال (این برای بنده هستش، ممکنه واسه شما تفاوت داشته باشه):

distributionUrl=https\://services.gradle.org/distributions/gradle-4.1-all.zip

نسخه اندروید استودیوتون رو متوجه نشدم! 3.0.1 ؟ 

موفق باشید.

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در 5 دقیقه قبل، مهران محمودی گفته است :

اون در خواست دانلود sdk 26 بخاطر این خط در فایل build.gradle هستش که خودتون دارید. اگه نمیخواید دانلود کنید، نسخه ای رو قرار بدید که sdk داشته باشیدش.

محتویات اون فایل رو باید به درستی بنویسید. معمولا خود اندروید استودیو به طور درست اون رو پر میکنه، ولی بخاطر import کردن احتمالا اینکار رو به هردلیلی نمیکنه!

نسخه gradle رو با توجه به نسخه android studio تنظیم کنید. در نظر داشته باشید که اگه این رو تغییر دادید، باید محتویات فایل gradle-wrapper.properties رو هم درست کنید و مقدار زیر رو به درستی تنظیم کنید. به عنوان مثال (این برای بنده هستش، ممکنه واسه شما تفاوت داشته باشه):


distributionUrl=https\://services.gradle.org/distributions/gradle-4.1-all.zip

نسخه اندروید استودیوتون رو متوجه نشدم! 3.0.1 ؟ 

موفق باشید.

درود بر شما الان این رو جایگزین کردم و زدم سینک شه بله نسخه بنده 3.0.1 هست

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

برای ارسال دیدگاه یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید دیدگاهی ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در سایت ما ثبت نام کنید. عضویت خیلی ساده است !

ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید

ورود به حساب کاربری